Referencepublish
Finalize a publish
Path Parameters
publishId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/publish/497f6eca-6276-4993-bfeb-53cbbbba6f08/finalize" \ -H "Content-Type: application/json" \ -d '{}'{ "ref": "string", "version": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": "string", "sizeBytes": 0, "fileCount": 0, "publishedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "displayName": "string", "avatarUrl": "string" }, "publishedAt": "2019-08-24T14:15:22Z", "scanStatus": "pending", "yanked": { "at": "2019-08-24T14:15:22Z", "reason": "string" }, "structuralWarnings": [], "skillId": "97d3165d-e1dd-4955-972c-95ebf04dd091", "manifest": { "name": "string", "description": "string", "license": "string", "compatibility": "string", "allowedTools": "string", "metadata": { "property1": "string", "property2": "string" }, "extensions": { "type": "project", "version": "string", "bindings": [ "string" ], "registry": "string" } }, "changelog": "string", "tarballSha256": "string", "scanReport": { "status": "pending", "findings": [ { "ruleId": "string", "severity": "info", "message": "string", "path": "string", "line": -9007199254740991, "snippet": "string" } ], "engine": { "name": "string", "version": "string" }, "scannedAt": "2019-08-24T14:15:22Z" } }, "tag": "string", "scanReport": { "status": "pending", "findings": [ { "ruleId": "string", "severity": "info", "message": "string", "path": "string", "line": -9007199254740991, "snippet": "string" } ], "engine": { "name": "string", "version": "string" }, "scannedAt": "2019-08-24T14:15:22Z" }, "structuralWarnings": []}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "PLAN_LIMIT", "status": 402, "message": "This action exceeds your plan's limits.", "data": { "limit": "string", "current": 0, "max": 0, "planId": "string", "orgHandle": "string", "suggestedPlanId": "string" }}{ "defined": true, "code": "FORBIDDEN", "status": 403, "message": "You do not have permission to perform this action.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "CONFLICT", "status": 409, "message": "The request conflicts with the current state.", "data": { "reason": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}